MyGUI: MyGUI::FileLogListener Class Reference

MyGUI 3.4.3

Public Member Functions
MyGUI::FileLogListener Class Reference

`#include <MyGUI_FileLogListener.h>`

Inheritance diagram for MyGUI::FileLogListener:
[legend]

## Public Member Functions
void | open () override
void | close () override
void | flush () override
void | log (std::string_view _section, LogLevel _level, const struct tm *_time, std::string_view _message, std::string_view _file, int _line) override
void | setFileName (std::string_view _value)
const std::string & | getFileName () const
Public Member Functions inherited from MyGUI::ILogListener
virtual | ~ILogListener ()=default

## Detailed Description

Definition at line 18 of file MyGUI_FileLogListener.h.

## Member Function Documentation

## ◆ close()

void MyGUI::FileLogListener::close | ( |  | ) |
| overridevirtual

Opens log listener. (for example close file)

Reimplemented from MyGUI::ILogListener.

Definition at line 37 of file MyGUI_FileLogListener.cpp.

## ◆ flush()

void MyGUI::FileLogListener::flush | ( |  | ) |
| overridevirtual

Flush log listener messages.

Reimplemented from MyGUI::ILogListener.

Definition at line 43 of file MyGUI_FileLogListener.cpp.

## ◆ getFileName()

const std::string & MyGUI::FileLogListener::getFileName | ( |  | ) | const

Get listener's file name where it wirte log.

Definition at line 72 of file MyGUI_FileLogListener.cpp.

## ◆ log()

void MyGUI::FileLogListener::log | ( | std::string_view | _section,
|  | LogLevel | _level,
|  | const struct tm * | _time,
|  | std::string_view | _message,
|  | std::string_view | _file,
|  | int | _line )
| overridevirtual

Log message.

Reimplemented from MyGUI::ILogListener.

Definition at line 49 of file MyGUI_FileLogListener.cpp.

## ◆ open()

void MyGUI::FileLogListener::open | ( |  | ) |
| overridevirtual

Opens log listener. (for example open file)

Reimplemented from MyGUI::ILogListener.

Definition at line 15 of file MyGUI_FileLogListener.cpp.

## ◆ setFileName()

void MyGUI::FileLogListener::setFileName | ( | std::string_view | _value | ) |

Set listener's file name where it wirte log.

Definition at line 67 of file MyGUI_FileLogListener.cpp.

The documentation for this class was generated from the following files:

- MyGUI_FileLogListener.h
- MyGUI_FileLogListener.cpp